//
// Automatically generated file. DO NOT MODIFY
//

soong_namespace {
    imports: [
        "vendor/nothing/Aerodactyl",
    ],
}

cc_prebuilt_library_shared {
    name: "com.nothing.node.rawhdr.front",
    owner: "nothing",
    strip: {
        none: true,
    },
    target: {
        android_arm64: {
            srcs: [
                "proprietary/vendor/lib64/camera/node/com.nothing.node.rawhdr.front.so",
            ],
            shared_libs: [
                "libc++",
                "libcutils",
                "libutils",
                "libntcamcommonutils",
                "libttm_nightsight",
                "libc",
                "libm",
                "libdl",
            ],
        },
    },
    compile_multilib: "64",
    relative_install_path: "camera/node",
    prefer: true,
    soc_specific: true,
}

cc_prebuilt_library_shared {
    name: "com.nothing.node.rawhdr",
    owner: "nothing",
    strip: {
        none: true,
    },
    target: {
        android_arm64: {
            srcs: [
                "proprietary/vendor/lib64/camera/node/com.nothing.node.rawhdr.so",
            ],
            shared_libs: [
                "libc++",
                "libcutils",
                "libutils",
                "libntcamcommonutils",
                "libentropy",
                "libc",
                "libm",
                "libdl",
            ],
        },
    },
    compile_multilib: "64",
    relative_install_path: "camera/node",
    prefer: true,
    soc_specific: true,
}

cc_prebuilt_library_shared {
    name: "libntcamcore",
    owner: "nothing",
    strip: {
        none: true,
    },
    target: {
        android_arm64: {
            srcs: [
                "proprietary/vendor/lib64/libntcamcore.so",
            ],
            shared_libs: [
                "libc++",
                "libcutils",
                "liblog",
                "libsync",
                "libcamera_metadata",
                "libutils",
                "libntcamcommonutils",
                "libntcamthread",
                "libntcamselector",
                "libntcammetadata",
                "libntcamextened",
                "libntcamallocator",
                "libdmabufheap",
                "android.hardware.graphics.allocator@4.0",
                "libc",
                "libm",
                "libdl",
            ],
        },
    },
    compile_multilib: "64",
    prefer: true,
    soc_specific: true,
}

cc_prebuilt_library_shared {
    name: "libst_ns_models",
    owner: "nothing",
    strip: {
        none: true,
    },
    target: {
        android_arm64: {
            srcs: [
                "proprietary/vendor/lib64/libst_ns_models.so",
            ],
            shared_libs: [
                "liblog",
                "libm",
                "libz",
                "libdl",
                "libc",
            ],
        },
    },
    compile_multilib: "64",
    prefer: true,
    soc_specific: true,
}

cc_prebuilt_library_shared {
    name: "libttm_nightsight",
    owner: "nothing",
    strip: {
        none: true,
    },
    target: {
        android_arm64: {
            srcs: [
                "proprietary/vendor/lib64/libttm_nightsight.so",
            ],
            shared_libs: [
                "liblog",
                "libm",
                "libz",
                "libst_ns_models",
                "libdl",
                "libc",
            ],
        },
    },
    compile_multilib: "64",
    prefer: true,
    soc_specific: true,
}

cc_prebuilt_library_shared {
    name: "libttm_nightsight_ae",
    owner: "nothing",
    strip: {
        none: true,
    },
    target: {
        android_arm64: {
            srcs: [
                "proprietary/vendor/lib64/libttm_nightsight_ae.so",
            ],
            shared_libs: [
                "liblog",
                "libm",
                "libz",
                "libdl",
                "libc",
            ],
        },
    },
    compile_multilib: "64",
    prefer: true,
    soc_specific: true,
}

cc_prebuilt_binary {
    name: "vendor.noth.hardware.camera-service",
    owner: "nothing",
    target: {
        android_arm64: {
            srcs: [
                "proprietary/vendor/bin/hw/vendor.noth.hardware.camera-service",
            ],
            shared_libs: [
                "libui_shim",
                "libc++",
                "libcutils",
                "liblog",
                "libsync",
                "libcamera_metadata",
                "libutils",
                "libui",
                "libbase",
                "libhidlbase",
                "libbinder_ndk",
                "libntcamcore",
                "libntcamcommonutils",
                "android.hardware.graphics.mapper@4.0",
                "vendor.noth.hardware.camera-V1-ndk",
                "libc",
                "libm",
                "libdl",
            ],
        },
    },
    compile_multilib: "64",
    strip: {
        none: true,
    },
    prefer: true,
    relative_install_path: "hw",
    soc_specific: true,
}
